Get COMPOSITION tags

Retrieves the list of all ITEM_TAG resources associated with the target COMPOSITION identified by uid_based_id and owned by the EHR identified by ehr_id.

Cadasto exception: the uid_based_id must be a versioned_object_uid (HIER_OBJECT_ID). Targeting a specific version with an OBJECT_VERSION_ID is not supported.

Returns an empty list when the target has no tags. More than one ITEM_TAG may be associated with a single target — they are uniquely identified by their (key, target_path) pair.

Path Parameters
  • ehr_id
    Type: string
    required

    EHR identifier taken from EHR.ehr_id.value.

  • uid_based_id
    Type: string Format: uuid
    required

    An identifier in the form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid).

    Cadasto exception: unlike the upstream openEHR ITS-REST specification, Cadasto only accepts the versioned_object_uid form on /tags endpoints. Targeting a specific version with an OBJECT_VERSION_ID is not supported — tags are scoped to the versioned object as a whole.

Responses
  • application/json
  • 404

    404 Not Found is returned when an EHR with ehr_id does not exist, or when the uid_based_id does not exist.

Request Example for get/ehr/{ehr_id}/composition/{uid_based_id}/tags
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/composition/8849182c-82ad-4088-a07f-48ead4180515/tags
[
  {
    "key": "flag",
    "value": "follow-up",
    "target_path": "/composition/start_time/value",
    "target": {
      "id": {
        "_type": "HIER_OBJECT_ID",
        "value": "8849182c-82ad-4088-a07f-48ead4180515"
      },
      "namespace": "local",
      "type": "COMPOSITION"
    },
    "owner_id": {
      "id": {
        "_type": "HIER_OBJECT_ID",
        "value": "7d44b88c-4199-4bad-97dc-d78268e01398"
      },
      "namespace": "local",
      "type": "EHR"
    }
  }
]